## puppetlabs-i18n-clojure 0.9.2

=== Makefile ===
include src/leiningen/i18n/Makefile

## puppetlabs-i18n-clojure 0.8.0

=== debian/changelog ===
puppetlabs-i18n-clojure (0.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #855737)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 05 Aug 2017 12:14:21 -0400

=== debian/control ===
Source: puppetlabs-i18n-clojure
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: clojure (>= 1.8),
               debhelper (>= 10),
               default-jdk-headless,
               gettext-base,
               javahelper (>= 0.32),
               libcpath-clojure (>= 0.1.2),
               libkitchensink-clojure (>= 2.1.0),
               markdown,
               maven-repo-helper (>= 1.5~)
Standards-Version: 4.0.0
Vcs-Git: https://anonscm.debian.org/git/pkg-java/puppetlabs-i18n-clojure.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-java/puppetlabs-i18n-clojure.git
Homepage: https://github.com/puppetlabs/i18n

Package: libpuppetlabs-i18n-clojure
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Description: Clojure i18n library
 puppetlabs-i18n provides convenience functions to access the JVM's
 localization facilities and automates managing messages and resource bundles.
 The tooling for translators uses GNU gettext so that translators can work with
 PO files which are widely used and for which a huge amount of tooling exists.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk
include /usr/share/dpkg/pkg-info.mk

export CLASSPATH=/usr/share/java/clojure.jar:/usr/share/java/libintl.jar:/usr/share/java/cpath-clj.jar
TEST_CLASSPATH=/usr/share/java/kitchensink.jar

MDWN_DOCS = $(patsubst %.md,%.html,$(wildcard $(CURDIR)/*.md))

PRODUCED_JAR=puppetlabs-i18n.jar

%:
	dh $@ --with javahelper --with maven_repo_helper

override_jh_build: $(MDWN_DOCS)
	jar cf $(PRODUCED_JAR) -C src .
	mkdir -p $(CURDIR)/doc/html && mv $^ $(CURDIR)/doc/html

override_jh_clean:
	jh_clean
	rm -rf $(CURDIR)/resources/puppetlabs $(CURDIR)/resources/*.clj
	rm -f $(CURDIR)/$(PRODUCED_JAR)
	rm -rf $(CURDIR)/doc/html

override_dh_auto_test:
	dh_auto_test
	(cd test && find . -name "*_test.clj" | \
		xargs --verbose clojure -cp $(CURDIR)/$(PRODUCED_JAR):$(CLASSPATH):$(TEST_CLASSPATH))

get-orig-source:
	uscan --download-version $(DEB_VERSION_UPSTREAM) --force-download --rename

%.html:%.md
	@echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"' \
		'"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">' > $@
	@echo "<html>" >> $@
	@echo "<head>" >> $@
	@echo "<title>$(shell head -n 1 $< | sed 's/^#*\s*//')</title>" >> $@
	@echo "</head>" >> $@
	@echo "<body>" >> $@
	markdown $< >> $@
	@echo "</body>" >> $@
	@echo "</html>" >> $@

.PHONY: override_dh_auto_build

=== debian/watch ===
version=4
opts=filenamemangle=s!.*/archive/(.*)!i18n-$1! \
 https://github.com/puppetlabs/i18n/tags .*/archive/([\d.]+)\.tar\.gz

## puppetlabs-i18n-clojure 0.9.0

=== debian/changelog ===
puppetlabs-i18n-clojure (0.9.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild using lein.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 21 Dec 2020 12:06:08 -0500

puppetlabs-i18n-clojure (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/*.poms: install the jar in maven-repo. (Closes: #976751)
  * d/control: use dh-compat and update to dh13.
  * d/control: Standards-Version update to 4.5.1. Add Rules-Requires-Root.
  * Clean out the build rules and update the dependencies.
  * d/control: Move package to the Clojure Team and update VCS fields.
  * d/tests: add autopkgtests.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 15 Dec 2020 11:49:47 -0500

=== debian/control ===
Source: puppetlabs-i18n-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper-compat (= 13),
               default-jdk-headless,
               javahelper,
               maven-repo-helper,
               libclojure-java,
               libcpath-clojure (>= 0.1.2-2),
               gettext-base (>= 0.21-3),
               libkitchensink-clojure (>= 3.1.1),
               libnrepl-clojure <!nocheck>,
               libcomplete-clojure <!nocheck>,
               git <!nocheck>,
               leiningen,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/clojure-team/puppetlabs-i18n-clojure.git
Vcs-Browser: https://salsa.debian.org/clojure-team/puppetlabs-i18n-clojure
Homepage: https://github.com/puppetlabs/i18n
Rules-Requires-Root: no

Package: libpuppetlabs-i18n-clojure
Architecture: all
Depends: ${java:Depends},
         ${misc:Depends},
         libclojure-java,
         libcpath-clojure (>= 0.1.2-2),
         gettext-base (>= 0.21-3),
         libkitchensink-clojure (>= 3.1.1),
Recommends: ${java:Recommends}
Description: Clojure i18n library
 puppetlabs-i18n provides convenience functions to access the JVM's
 localization facilities and automates managing messages and resource bundles.
 The tooling for translators uses GNU gettext so that translators can work with
 PO files which are widely used and for which a huge amount of tooling exists.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk
include /usr/share/dpkg/pkg-info.mk

export LEIN_HOME=$(CURDIR)/.lein
export LEIN_OFFLINE=true
NAME=puppetlabs-i18n

%:
	dh $@ --with javahelper --with maven_repo_helper

override_dh_auto_configure:
	cd debian && ln -sf /usr/share/maven-repo .

override_dh_auto_build:
	lein pom debian/pom.xml
	lein jar
	# symlink so we don't need a version in debian/*.poms
	cd target && ln -sf i18n-$(DEB_VERSION_UPSTREAM).jar $(NAME).jar

override_dh_auto_test:
	make i18n
	lein test

override_jh_installlibs:
	jh_installlibs target/$(NAME).jar

override_dh_clean:
	rm -f debian/maven-repo
	rm -Rf target
	rm -Rf ressources/*
	rm -f debian/pom.xml
	dh_clean

## puppetlabs-i18n-clojure 0.9.2

=== debian/changelog ===
puppetlabs-i18n-clojure (0.9.2-2) unstable; urgency=medium

  * d/patches: drop jackson version overrides
  * d/rules: get rid of override_jh_installlibs
  * d/tests: fix upstream tests to actually run
  * put clojure.jar on artifact's classpath

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 05 Feb 2023 11:45:23 -0500

puppetlabs-i18n-clojure (0.9.2-1) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * d/control: New email for the Clojure Team.

  [ Jérôme Charaoui ]
  * New upstream version 0.9.2
  * add d/gbp.conf with team defaults
  * add missing classpath to jar artifact
  * d/control: add myself to uploaders
  * d/control: bump Standards-Version, no changes needed
  * d/patches: refresh Lein Local patch for new upstream version
  * d/rules: skip tests when nocheck flag is present
  * d/watch: switch to git mode, fix URL

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 21 Jan 2023 23:05:08 -0500

=== debian/control ===
Source: puppetlabs-i18n-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <team+clojure@tracker.debian.org>
Uploaders:
 Apollon Oikonomopoulos <apoikos@debian.org>,
 Jérôme Charaoui <jerome@riseup.net>,
Build-Depends:
 debhelper-compat (= 13),
 default-jdk-headless,
 gettext-base (>= 0.21-3),
 git <!nocheck>,
 javahelper,
 leiningen,
 libclojure-java,
 libcomplete-clojure <!nocheck>,
 libcpath-clojure (>= 0.1.2-2),
 libkitchensink-clojure (>= 3.2.1),
 libnrepl-clojure <!nocheck>,
 maven-repo-helper,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/clojure-team/puppetlabs-i18n-clojure.git
Vcs-Browser: https://salsa.debian.org/clojure-team/puppetlabs-i18n-clojure
Homepage: https://github.com/puppetlabs/i18n
Rules-Requires-Root: no

Package: libpuppetlabs-i18n-clojure
Architecture: all
Depends:
 gettext-base (>= 0.21-3),
 libcpath-clojure (>= 0.1.2-2),
 libkitchensink-clojure (>= 3.1.1),
 ${java:Depends},
 ${misc:Depends},
Recommends:
 ${java:Recommends},
Description: Clojure i18n library
 puppetlabs-i18n provides convenience functions to access the JVM's
 localization facilities and automates managing messages and resource bundles.
 The tooling for translators uses GNU gettext so that translators can work with
 PO files which are widely used and for which a huge amount of tooling exists.

=== debian/rules ===
--- 
+++ 
@@ -20,11 +20,10 @@
 	cd target && ln -sf i18n-$(DEB_VERSION_UPSTREAM).jar $(NAME).jar
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	make i18n
 	lein test
-
-override_jh_installlibs:
-	jh_installlibs target/$(NAME).jar
+endif
 
 override_dh_clean:
 	rm -f debian/maven-repo

=== debian/tests/control ===
Tests: build
Depends:
 clojure,
 @,
Restrictions: superficial

Tests: upstream
Depends:
 clojure,
 default-jdk-headless,
 gettext,
 git,
 libbultitude-clojure,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/puppetlabs/clj-i18n.git \
refs/tags/@ANY_VERSION@
